OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Macros
endian_type.hpp File Reference

Definition of various endian-dependant macros. More...

`#include "endian_target.h"`

Go to the source code of this file.

## Macros
#define | OTTD_ALIGNMENT 0
| The architecture does not require aligned access.
#define | TTD_LITTLE_ENDIAN 0
| Little endian builds use this for TTD_ENDIAN.
#define | TTD_BIG_ENDIAN 1
| Big endian builds use this for TTD_ENDIAN.

## Detailed Description

Definition of various endian-dependant macros.

Definition in file endian_type.hpp.

## Macro Definition Documentation

#define OTTD_ALIGNMENT 0

The architecture does not require aligned access.

Definition at line 20 of file endian_type.hpp.

#define TTD_BIG_ENDIAN 1

Big endian builds use this for TTD_ENDIAN.

Definition at line 26 of file endian_type.hpp.

#define TTD_LITTLE_ENDIAN 0

Little endian builds use this for TTD_ENDIAN.

Definition at line 24 of file endian_type.hpp.

Referenced by CrashLog::LogOpenTTDVersion().